module Weaver
  module Core
    # Represents the Weaver model of the continuous validation block of a +rule+
    #
    # Author:: Fabio Oliveira
    class ContinuousValidation
      
      # The Rule that encloses the 'continuous_validation' block corresponding to this ContinuousValidation Weaver model.
      attr_accessor :parent
      
      #\Symbol corresponding to the runtime used to run the continuous validation rule. Valid value :cron.
      attr_accessor :runtime_type
      
      #\Integer corresponding to the running period of the continuous validation rule. The value is given in minutes.
      # For instance, if +period+ = 3, the rule will run every 3 minutes.
      attr_accessor :period
      
      #\String containing the command to be run as part of this continuous validation rule.
      attr_accessor :command
      
      #\Array of Symbols containing references to artifacts required by the rule.
      attr_accessor :artifacts
      
      # * +rule+ - The parent Core::Rule of this Core::ContinuousValidation model.
      def initialize(rule)
        @parent = rule
      end
    end
  end
end