module Weaver
  module Core
    
    # ----------- Status Ids ------------------  
    module StatusIds
      # The prefix for Weaver status ids
      WEAVER_STATUS_ID_PREFIX = "SCCD_WEAVER" 
      
      # Identifies a status message about an attribute
      ATTRIBUTE_STATUS_ID = WEAVER_STATUS_ID_PREFIX + "_ATTRIBUTES_01" 
         
      # Identifies a status message about the Chef automation model   
      CHEF_STATUS_ID = WEAVER_STATUS_ID_PREFIX + "_CHEF_01" 
         
      #  Identifies a status message about IWD access
      IWD_ACCESS_STATUS_ID = WEAVER_STATUS_ID_PREFIX + "_IWD_ACCESS_01"  
      
      # Identifies a status message about an out of sync IWD pattern  
      IWD_SYNC_STATUS_ID = WEAVER_STATUS_ID_PREFIX + "_IWD_SYNC_01" 
      
      # Identifies a status message about the syntax in an IWD topology  
      IWD_SYNTAX_STATUS_ID = WEAVER_STATUS_ID_PREFIX + "_IWD_SYNTAX_01" 
    end  

    # ----------- Resolution Types ------------------
    module ResolutionTypes
      # Identifies a default Weaver resolution type
      DEFAULT = "DEFAULT"
      
      # Identifies a resolution to reimport a pattern
      REIMPORT_IWD = "REIMPORT_IWD"
      
      # Identifies a resolution to set valid credentials
      SET_CREDENTIALS = "SET_CREDENTIALS"
      
      # Identifies a resolution to import another pattern
      IMPORT_ANOTHER_PATTERN = "IMPORT_ANOTHER_PATTERN"
    end  

  end
end