require 'weaver/dsl/abstract_statement'

module Weaver
  module Dsl
    
    # Represents a configuration dependency of one Base on another
    # @see Weaver::Core::DependsOnMixin
    #
    # Author:: Michael Kalantar
    # Copyright:: IBM
    module DependsOnStatement
      include Weaver::Core
      
      # * +dependencies+ Array of AbstractStatement | AbstractStatement
      def depends_on(*dependencies)
        dependencies.each do |dep|
          base = dep.model
          id = base.fully_qualified_id
          model.depends_on << base
        end
      end # def depends_on

    end # DependsOnStatement
  end # module Dsl
end # module Weaver