
module Weaver
  module Utils
    module FileHelper
      
      # Return the filename relative to 'dir'
      def self.relativize(filename, dir)
        dirname = File.expand_path(dir) + '/'
        prefix = ''
        while dirname
          dirname.chop! if dirname[-2, 2] == '//' # Don't let dirname end in //, use / instead
          startswith = Regexp.new("^#{dirname}(.*)").match(filename)
          return "#{prefix}#{startswith[1]}" if startswith
          dirname = (File.dirname(dirname) == dirname) ? nil : (File.dirname(dirname) + '/')
          prefix = "../#{prefix}"
        end
        
        return filename # give up, don't relativize
      end
      
    end
  end
end